<?php
    if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class InfoCheckOut_Model extends CI_Model
{
    //Constructor 
    function __construct()
    {
        parent::__construct();
        //$this->load->library('encryption');
    }

    public function getInfoCheckOut($data)
    {
        
        $this->load->library('Consultar');
        $conn = $this->CI_Consultar->conexion(APP_SERVERNAME,APP_DBNAME,APP_USER,APP_PASS);
     
        $misql = "EXEC spGetInfoCheckOut @Opcion    = ".$data[0].",
                                         @FechaIni  = ".$data[1].",
                                         @FechaFin  = ".$data[2].",
                                         @IdUsuario = ".$data[3]."";
        
        $results=$this->CI_Consultar->consultarsp($misql,$conn);
        $results = mb_convert_encoding($results ,'UTF-8', 'HTML-ENTITIES');
        return $results;
	   
    }
}

?>

